<button ...attributes disabled={{or @disabled @isLoading this.isWaiting}} {{on "click" this.handleAction}} type="button">
  {{#if (or @isLoading this.isWaiting)}}
    <FaIcon @icon="spinner" @spin={{true}} />
  {{/if}}

  {{#if this.isError}}
    <FaIcon @icon="exclamation-triangle" />
  {{/if}}

  {{yield (not (or @isLoading this.isWaiting this.isError))}}
</button>